
namespace Core.GameObjects
{
    /// <summary>
    /// Basic Types of Items in game
    /// </summary>
    public enum ItemType
    {
        Armor,
        Chest,
        Key,
        Potion,
        Scroll,
        Shield,
        Weapon,
        Money,
        Other
    }
    /// <summary>
    /// The differnt kinds of in Game Items
    /// </summary>
    public enum ItemTypes
    {
        /// <summary>Shirts, Capes, anything that mostly is on yoru back</summary>
        Back = 1,
        /// <summary>Chest Armor, maybe a few other things</summary>
        Chest = 2,
        /// <summary>Earings</summary>
        Ears = 3,
        /// <summary>Shoes</summary>
        Feet = 4,
        /// <summary>Rings</summary>
        Finger = 5,
        /// <summary>Gloves, other</summary>
        Hands = 6,
        /// <summary>Hats, Helmets, etc</summary>
        Head = 7,
        /// <summary>Pants, Leggings</summary>
        Legs = 8,
        /// <summary>Necklaces, Pendants, etc</summary>
        Neck = 9,
        /// <summary>One Handed/Two Handed Axes</summary>
        Axes = 10,
        /// <summary>Blow Guns</summary>
        BlowGuns = 11,
        /// <summary>Long Bows, Short Bows, Cross Bows</summary>
        Bows = 12,
        /// <summary>Chain and String Weapons</summary>
        ChainString = 13,
        /// <summary>Daggers</summary>
        Daggers = 14,
        /// <summary>Fist Type Weapons</summary>
        Fist = 15,
        /// <summary>Pistol's, Rifles, etc</summary>
        Guns = 16,
        /// <summary>One Handed/Two Handed Maces</summary>
        Maces = 17,
        /// <summary>Polearms</summary>
        Polearm = 18,
        /// <summary>One Handed/Two Handed Staffs</summary>
        Saffs = 19,
        /// <summary>One Handed/Two Handed Swords</summary>
        Swords = 20,
        /// <summary>A Characters Body</summary>
        Body = 100,
        /// <summary>A Chracters Face</summary>
        Face = 101,
        /// <summary>A Characters Hair</summary>
        Hair = 102
    }
}
