
namespace Core.GameObjects.Items
{
    public abstract class BaseItem : DrawableGameObject
    {
        public ItemType ItemType { get { return _ItemType; } set { _ItemType = value; } }

        public float Weight { get { return _Weight; } set { _Weight = value; } }

        public float Size { get { return _Size; } set { _Size = value; } }

        protected float _Weight;
        protected float _Size;
        protected ItemType _ItemType;

        public BaseItem(int ID, string Name, float Weight, float Size, ItemType Type) : base(ID, Name)
        {
            _Weight = Weight;
            _Size = Size;
            _ItemType = Type;
        }
    }
}
