
namespace Core.GameObjects.Nen
{
    public class EntityNenAction
    {

        public int ID { get; protected set; }

        public bool Learned { get; protected set; }

        public bool Memorized { get; protected set; }

        public byte SkillPointsAllocated { get; protected set; }

        public long LastCast { get; protected set; }

        public string HotKey { get; protected set; }

        public void AllocatePoints(byte amount)
        {
            SkillPointsAllocated += amount;
        }

        public bool Learn()
        {
            //short roll = GlobalFunctions.GetRandomNumber(DieType.d100);

            //if (roll + (_skillPointsAllocated * 5) >= 100)
            //{
            //    _learned = true;
            //    _skillPointsAllocated = 0;
            //}

            return Learned;
        }

        public void Memorize()
        {
            if (Learned)
                Memorized = true;
        }
    }
}
