
namespace Core.GameObjects.Skills
{
    public class EntitySkill
    {
        private int _id;
        private int _amount;

        public int Amount
        {
            get { return _amount; }
        }

        public EntitySkill(int id, int amount)
        {
            _id = id;
            _amount = amount;
        }

        public void Increase(int amount)
        {
            _amount += amount;
        }

        public void Decrease(int amount)
        {
            _amount -= amount;
        }
    }
}
