using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Core
{
    public class SimpleGraphicsDeviceService: IGraphicsDeviceService, IGraphicsDeviceManager
    {
        private GraphicsDevice graphicsDevice;

        public SimpleGraphicsDeviceService(GraphicsDevice graphicsdevice)
        {
            this.graphicsDevice = graphicsdevice;
        }

        #region IGraphicsDeviceService Members
        public event EventHandler DeviceCreated;
        public event EventHandler DeviceDisposing;
        public event EventHandler DeviceReset;
        public event EventHandler DeviceResetting;

        public GraphicsDevice GraphicsDevice
        {
            get { return this.graphicsDevice; }
        }
        #endregion

        #region IGraphicsDeviceManager Members
        public bool BeginDraw()
        {
            //throw new Exception("The method or operation is not implemented.");
            return false;
        }

        public void CreateDevice()
        {

        }

        public void EndDraw()
        {
            //throw new Exception("The method or operation is not implemented.");
        }
        #endregion
    }
}
