
namespace Core.GameObjects
{
    /// <summary>
    /// The Different Locations an Item can be located
    /// </summary>
    public enum InventoryTypes
    {
        /// <summary>The Character is Currently Wearing This Item</summary>
        Character = 1,
        /// <summary>The Item is in The Characters Bag</summary>
        Bag = 2,
        /// <summary>The Item is in The Characters Bank</summary>
        Bank = 3,
        /// <summary>The Item is in The Characters Mail Box</summary>
        Mail = 4,
        /// <summary>The Item is in The Characters Crafting Window</summary>
        Crafting = 5,
        /// <summary>The Item is in The Characters Task Window.</summary>
        Task = 6,
    }
}
