using System.Collections.Generic;

namespace Core.GameObjects.Jobs
{
    public static class JobManager
    {
        private static List<Job> _Jobs = new List<Job>();

        private static int _numJobs = 0;

        public static int NumJobs
        {
            get { return _numJobs; }
        }

        public static Job GetJob(int id)
        {
            foreach (Job Job in _Jobs)
            {
                if (Job.ID == id)
                    return Job;
                break;
            }

            return null;
        }
    }

    public interface IJobManagerService
    {
        Job GetJob(int id);
    }
}
