﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace Core.Mapping
{
    [Serializable()]
    public class LandTileCollection : Collection<LandTile>
    {
        public static LandTileCollection GetTilesForEmptyLandLayer(int Width, int Height)
        {
            LandTileCollection tc = new LandTileCollection();

            for (int x = 0; x < Width * Height; x++)
            {
                tc.Add(LandTile.DefaultLandTile);
            }

            return tc;
        }
    }
}
