using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Xna.Framework;
using Core.Mapping;
using Core.Graphics;

using System.Collections;

namespace WorldEditor
{
    public class FloodFill
    {
        public FloodFill(TileWorld World, Tile filltile, Point startpoint, MapLayerTypes layer)
        {
            ArrayList tiles = ContiguousTiles.ContiguousTileFinder(World, startpoint, layer);

            foreach (Point gp in tiles)
            {
                World.SetTileAtLocation(gp, layer, filltile);
            }
        }
    }
}
